Skip to main content
GET
/
registries
/
{registryId}
Get Container Registry
curl --request GET \
  --url https://api.bunny.net/mc/registries/{registryId} \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/mc/registries/{registryId}"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/mc/registries/{registryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "accountId": "<string>",
  "userId": "<string>",
  "namespaceId": "<string>",
  "displayName": "<string>",
  "hostName": "<string>",
  "userName": "<string>",
  "firstPasswordSymbols": "<string>",
  "lastPasswordSymbols": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "isPublic": true,
  "lastUpdatedAt": "2023-11-07T05:31:56Z"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}
{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"message": "<string>",
"field": "<string>"
}
],
"id": "<string>"
}

Authorizations

AccessKey
string
header
required

Please enter a valid personal API key.

Path Parameters

registryId
integer<int64>
required

Response

Container registry was successfully retrieved.

id
integer<int64>
read-only
accountId
string | null
userId
string | null
namespaceId
string
displayName
string
hostName
string
userName
string | null
firstPasswordSymbols
string | null
lastPasswordSymbols
string | null
createdAt
string<date-time>
isPublic
boolean | null
lastUpdatedAt
string<date-time> | null
Last modified on June 26, 2026